Payment Methods (Checkout)
Retrieve Payment Methods to Enroll
Retrieves the payment methods available for a customer to enroll during checkout
GET
/
checkout
/
customers
/
sessions
/
{customer_session}
/
payment-methods
Retrieve Payment Methods To Enroll
curl --request GET \
--url https://api-sandbox.y.uno/v1/checkout/customers/sessions/{customer_session}/payment-methods \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/checkout/customers/sessions/{customer_session}/payment-methods"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/checkout/customers/sessions/{customer_session}/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_methods": [
{
"name": "Visa Credit Card",
"description": "Visa Credit Card",
"type": "VISA",
"category": "CARD",
"icon": "https://icons.prod.y.uno/visa_logosimbolo.png",
"enrollment": {
"session": "6641e30d-ca7a-440f-b97c-24231eac6dab",
"sdk_required_action": false
}
},
{
"name": "Mastercard Credit Card",
"description": "Mastercard Credit Card",
"type": "MASTERCARD",
"category": "CARD",
"icon": "https://icons.prod.y.uno/mastercard_logosimbolo.png",
"enrollment": {
"session": "6641e30d-ca7a-440f-b97c-24231eac6dab",
"sdk_required_action": false
}
},
{
"name": "PayPal Wallet",
"description": "PayPal Wallet",
"type": "PAYPAL",
"category": "WALLET",
"icon": "https://icons.prod.y.uno/paypal_logosimbolo.png",
"enrollment": {
"session": "6641e30d-ca7a-440f-b97c-24231eac6dab",
"sdk_required_action": false
}
}
]
}{
"code": "INVALID_REQUEST",
"messages": [
"Invalid request"
]
}{
"code": "INVALID_CREDENTIALS",
"messages": [
"Invalid credentials"
]
}{
"code": "AUTHORIZATION_REQUIRED",
"messages": [
"The merchant has no authorization to use this API."
]
}Get the list of payment methods the user has available for enrollment.
Authorizations
Path Parameters
The customer session that has been created for the enrollment using the Create Customer Session endpoint (UUID, 36 chars).
Response
200
Show child attributes
Show child attributes
Was this page helpful?
Previous
Enroll Payment MethodEnrolls a customer's selected payment method for future use during checkout
Next
⌘I
Retrieve Payment Methods To Enroll
